/*
    Copyright 2008 Jakub Mielczarek
    This file is part of the Filtertool.

    Filtertool is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
  * @author Jakub Mielczarek
  */
#ifndef _DATA_HANDLER_
#define _DATA_HANDLER_
#include <vector>
#include <string>
using namespace std;

/*! \brief DataHandler: interface for further template class
  All functions are pure virtual, so there is no documentation for them.
  \sa DataOperations
 */
class DataHandler
{
public:
  virtual void swap(string str) = 0;
  virtual void parseFiles(string names )= 0;
  virtual void load() = 0;
  virtual void join() = 0;
  virtual void mean(char arg) = 0;
  virtual void print() = 0;
  virtual void setCommand(string ) = 0;
  virtual void setFilter(string arg) = 0; 
  virtual void setOutputFiles(string names) = 0;
  
};

#endif
